﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace MultOptionDataFilter
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.DataContext = new ViewModel.ViewModel();
            this.Loaded += (s, e) =>
                {
                    var dataContext = DataContext as ViewModel.ViewModel;
                    foreach (var item in dataContext.FilterProperties)
                        DataFilter.ItemPropertyDefinitions.Add(item);
                    dataContext.AdvancedFilters = DataFilter.FilterDescriptors;
                };
        }
    }
}
