﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using MultOptionDataFilter.Contracts;
using System.Collections.Generic;

namespace MultOptionDataFilter.ViewModel
{
    public class ViewModelItem : ViewModelBase
    {
        public ViewModelItem(int property1, string property2, ItemType itemType)
        {
            Property1 = property1;
            Property2 = property2;
            ItemType = itemType;
        }

        private int _property1;

        public int Property1
        {
            get
            {
                return this._property1;
            }
            set
            {
                if (this._property1 != value)
                {
                    this._property1 = value;
                    this.OnPropertyChanged("Property1");
                }
            }
        }

        private string _property2;

        public string Property2
        {
            get
            {
                return this._property2;
            }
            set
            {
                if (this._property2 != value)
                {
                    this._property2 = value;
                    this.OnPropertyChanged("Property2");
                }
            }
        }

        private ItemType _itemType;

        public ItemType ItemType
        {
            get
            {
                return this._itemType;
            }
            set
            {
                if (this._itemType != value)
                {
                    this._itemType = value;
                    this.OnPropertyChanged("ItemType");
                }
            }
        }
    }
}
