﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;
using Telerik.Windows.Data;

namespace MultOptionDataFilter.Controls
{
    public static class FilterDescriptorExtensions
    {
        private static Dictionary<FilterDescriptor, object> _values = new Dictionary<FilterDescriptor, object>();

        public static void SetDirtyValue(this FilterDescriptor filter, object value)
        {
            _values[filter] = value;
        }
        public static bool TryGetDirtyValue(this FilterDescriptor filter, out object value)
        {
            return _values.TryGetValue(filter, out value);
        }
        public static void Release(this FilterDescriptor filter)
        {
            _values.Remove(filter);
        }
        public static void ReleaseAll()
        {
            _values.Clear();
        }
    }
}
